End of Support for EZproxy 5.7.44 FAQ

The following FAQ provide details about how the end of support for EZproxy V5.7.44 will impact libraries currently using an older version of this product.

When will support for EZproxy 5.7.44 end?

August 31, 2017.

What does "end support" mean?

After August 31, 2017, OCLC will no longer provide technical support for sites running EZproxy 5.7.44. After this time, if you call OCLC Support to ask for assistance with EZproxy 5.7.44, we will ask that you upgrade to the latest version first. You may continue to run EZproxy 5.7.44 in an unsupported mode as long as you prefer.

I purchased EZproxy prior to version 5.7.44 under the "lifetime license" model. What does this mean for me?

You may continue to run version 5.7.44 in unsupported mode as long as you prefer. If you need support, you will need to purchase an annual subscription and upgrade to the latest version of EZproxy. Please see EZproxy Ordering for more information.

Does subscribing to EZproxy require an annual renewal?

Yes, EZproxy subscriptions are renewed annually. This includes access to the latest version of the software as well as OCLC Support. If you do not renew your subscription, your EZproxy server will cease to function.

How will I know if my subscription has not been renewed, and I am in danger of losing access to resources through EZproxy?

If EZproxy attempts to validate your WSKey and finds that it has expired or been cancelled, you will begin to receive alerts in your messages.txt file letting you know that your key is no longer valid. These messages will continue for 90 days. During this time, you will still be able to access EZproxy, but if you do not renew before this period ends, EZproxy will cease to function. For more information about these messages, see EZproxy WSKey Validation and Messages.

Will EZproxy 6.x continue to be supported?

Yes.

How do I know which version of EZproxy I am running?

Please see OCLC's documentation to learn how to check the version of EZproxy running on your server.

How do I upgrade to the latest version?

Prior to upgrading to the latest version of EZproxy from version 5.7.44, you will need to request an OCLC Web Services Key (WSKey). For more information see How to Request a WSKey. After obtaining a WSKey, follow the Update instructions on the Download EZproxy page.